Addresses v1 · Search
A grouping of operations that search for an address.
Before calling these endpoints, use a Geoscape Hub application with access to this API product. Authenticate with your Consumer Key in the Authorization header. See Authentication, Error Handling, Rate Limiting, and Attribution for shared integration guidance.
Required response fields must be present when their containing object is returned. Supply the documented request parameters when calling the endpoint.
Geocode/Reverse-Geocode
Authentication: Use your Consumer Key in the
Authorizationheader.
Features
Geocoding
In its simplest form Geocoding is the process of converting a physical address (a description of a location often a street address) into a spatial representation measured in latitude and longitude. In Australia, we use the coordinate reference system GDA94 (Geocentric Datum of Australia 1994. You can learn more about geocoding here or about GDA 94 here.
Reverse-Geocoding
Reverse-geocoding is exactly what it sounds like, it's the process of converting a spatial latitude and longitude into a physical address.
Address Validation
Not all addresses are the same, people often refer to the same location by many different names. The process of Address Validation has the aim to turn validate or correct a user understood address into a trusted authoritative address. In doing this we create a common trusted understanding of the location being described. Some examples of the key features of a good address validator are handling of alias names, correction and interpretation of miss spellings and consistency of naming convention.
Single Line (unparsed) address search
Configurable CRS System (additional datum support)
We've added support to the Predictive API to allow you to control the CRS used when presenting spatial data. Depending on your use-case you might need data represented in WGS 84 (a global datum) or GDA-2020 Australia's new datum. With this new feature, you can control the spatial representation through a new header removing the need for complex transformation on your client end. This feature is essential as the government and other entities that use spatial data start the move to Australias new Datum GDA-2020, for more detail on what GDA-2020 is or why you should care about the spatial accuracy of your data, please refer to this fantastic video created by Small Island Studio for the ICSM
Supported CRSs
- GDA 94 -
<https://www.opengis.net/def/crs/EPSG/0/4283> - GDA 2020 -
<https://www.opengis.net/def/crs/EPSG/0/7844> - WGS 84 -
<https://www.opengis.net/def/crs/EPSG/0/4326> - AGD 66 -
<https://www.opengis.net/def/crs/EPSG/0/4202>
Further resources on Datums and spatial accuracy
query Parameters
addressStringA full address on a single line.
stateTerritoryA comma-separated-list of one or more state codes (ACT,NSW,NT,QLD,SA,TAS,VIC,WA,OT). If not provided results come from the whole of Australia.
latLongA comma-separated list of latitude and longitude to be uses as a point to search against.
radiusThe search radius in meters.
pagePage number of paginated results to return.
perPageNumber of results to return per page.
Headers
AcceptA comma-separated list of the preferred content type. Preference is determined by quality values. Currently only support application/geo+json. More info:
Accept-CrsA comma-separated list of the preferred Coordinate Reference System; enclosed in angle brackets. Preference is determined by quality values. More info:
Geocode/Reverse-Geocode › Responses
OK
The JSON model of the Pagination Object